[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVCustomDrawItemEvent

Specifies an event handler signalled to custom draw an item on a list view control.

## Declaration

Source position: comctrls.pp line 1328

`type TLVCustomDrawItemEvent = procedure(`
`Sender: TCustomListView;`
`Item: TListItem;`
`State: TCustomDrawState;`
`var DefaultDraw: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | List item for the event notification.
`State` |  | Drawing state (like focused, selected, disabled) for the list item.
`DefaultDraw` |  | True if default drawing should be performed in the list view control.

## Description

TLVCustomDrawItemEvent is the type used to implement the OnCustomDrawItem event handler in TCustomListView. See TLVAdvancedCustomDrawItemEvent for the event signalled to draw a list item using a specific drawing state or stage.

## See also

TCustomListView.OnCustomDrawItem |  | Event handler signalled to perform custom drawing for list items on the control.
TCustomListView.OnAdvancedCustomDrawItem |  | Event handler signalled to custom draw a list item on the grid control when the draw state is not cdPrePaint.
TCustomListView.IntfCustomDraw |  | IntfCustomDraw - uses the interface to perform custom drawing
TLVAdvancedCustomDrawItemEvent |  | Specifies an event handler signalled to perform advanced custom drawing for a list view item with stage and state information.